Module jdk.jdi
Package com.sun.jdi.event

# Interface ClassUnloadEvent

All Superinterfaces:
  `Event`, `Mirror`

    public interface ClassUnloadEvent
    extends Event

Notification of a class unload in the target VM.

There are severe constraints on the debugger back-end during garbage collection, so unload information is greatly limited.

Since:
  1.3
See Also:
  `EventQueue`, `VirtualMachine`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `className()` | Returns the name of the class that has been unloaded.
`String` | `classSignature()` | Returns the JNI-style signature of the class that has been unloaded.

### Methods declared in interface com.sun.jdi.event.Event

`request`

### Methods declared in interface com.sun.jdi.Mirror

`toString, virtualMachine`

## Method Details

### className

String className()
Returns the name of the class that has been unloaded.

### classSignature

String classSignature()
Returns the JNI-style signature of the class that has been unloaded.